<?php
/**
 * Created by JetBrains PhpStorm.
 * User: z_bodya
 * Date: 10/3/12
 * Time: 1:57 AM
 * To change this template use File | Settings | File Templates.
 */
interface INodeType
{
    /**
     * @return string
     */
    public function getDefaultAction();
    /**
     * @return string
     */
    public function getName();

    /**
     * @return bool
     */
    public function isRootNode();

    /**
     * @return string[]
     */
    public function getNestedTypes();

    /**
     * @return string[]
     */
    public function getActions();

    /**
     * @return string[]
     */
    public function actionLabels();

    /**
     * @param string $name
     * @param CController $controller
     * @param string $id
     * @return CAction
     */
    public function createAction($name, $controller, $id = null);

    public function deleteData($id);
}
